{
  "custom": {},
  "params": {
    "color": "#FF3535",
    "id": "",
    "text": "Active, Unacknowledged"
  },
  "propConfig": {
    "params.color": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.id": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.text": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 16,
      "width": 193
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "FilterColor"
            },
            "position": {
              "basis": "11px"
            },
            "propConfig": {
              "props.style.backgroundColor": {
                "binding": {
                  "config": {
                    "path": "view.params.color"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "borderBottomLeftRadius": 5,
                "borderTopLeftRadius": 5
              }
            },
            "type": "ia.container.flex"
          },
          {
            "meta": {
              "name": "FilterText"
            },
            "position": {
              "basis": "149px"
            },
            "propConfig": {
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.params.text"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "classes": "Page/Text",
                "fontSize": 12,
                "marginLeft": 10
              }
            },
            "type": "ia.display.label"
          }
        ],
        "meta": {
          "name": "Left"
        },
        "position": {
          "basis": "169px"
        },
        "props": {
          "style": {
            "overflow": "visible"
          }
        },
        "type": "ia.container.flex"
      },
      {
        "children": [
          {
            "events": {
              "dom": {
                "onClick": {
                  "config": {
                    "script": "\tsystem.perspective.sendMessage(\u0027deactivate-filter\u0027, payload \u003d {\u0027id\u0027:self.view.params.id}, scope \u003d \u0027page\u0027)"
                  },
                  "scope": "G",
                  "type": "script"
                }
              }
            },
            "meta": {
              "name": "DeactivateButton"
            },
            "position": {
              "basis": "25px"
            },
            "props": {
              "path": "material/close",
              "style": {
                "cursor": "pointer",
                "marginRight": 5
              }
            },
            "type": "ia.display.icon"
          }
        ],
        "meta": {
          "name": "Right"
        },
        "position": {
          "basis": "25px"
        },
        "props": {
          "justify": "flex-end"
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "justify": "space-between",
      "style": {
        "borderBottomLeftRadius": 5,
        "borderBottomRightRadius": 5,
        "borderStyle": "solid",
        "borderTopLeftRadius": 5,
        "borderTopRightRadius": 5,
        "borderWidth": 1,
        "classes": "Page/Page",
        "overflow": "visible"
      }
    },
    "type": "ia.container.flex"
  }
}